Summary: autoconf-252 - Generate configuration scripts
%define AppProgram autoconf
%define AppVersion 2.13
%define AppRelease 20110430
%define AppSuffix  -213
# $Id: ac213.spec,v 1.3 2011/04/30 16:53:24 tom Exp $
Name: ac213
Version: %{AppVersion}
Release: %{AppRelease}
License: GPLv2
Group: Applications/Development
URL: ftp://invisible-island.net/%{AppProgram}
Source0: %{AppProgram}-%{AppVersion}-%{AppRelease}.tgz
Packager: Thomas E. Dickey <dickey@invisible-island.net>

BuildArch:	noarch
#BuildRequires:	m4
Requires:	m4

%description
This is a stable version of autoconf, used by some of my older applications.
See http://invisible-island.net/autoconf/

%define MyName %{AppProgram}%{AppSuffix}

%define find_tool tool=install-info; for dir in /sbin /usr/sbin; do if test -f $dir/$tool; then tool=$dir/$tool;break;fi;done

%prep

%setup -q -n %{AppProgram}-%{AppVersion}-%{AppRelease}

%build

INSTALL_PROGRAM='${INSTALL}' \
	./configure \
		--program-suffix=%{AppSuffix} \
		--target %{_target_platform} \
		--prefix=%{_prefix} \
		--bindir=%{_bindir} \
		--datadir=%{_datadir}/%{MyName} \
		--sharedstatedir=%{_datadir}/%{MyName} \
		--infodir=%{_infodir}

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# 2.13's makefile does not use $DESTDIR
make install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	datadir=$RPM_BUILD_ROOT%{_datadir}/%{MyName} \
	infodir=$RPM_BUILD_ROOT%{_infodir}

mv $RPM_BUILD_ROOT%{_infodir}/autoconf.info \
   $RPM_BUILD_ROOT%{_infodir}/%{MyName}.info

rm -f $RPM_BUILD_ROOT%{_infodir}/standards*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%{find_tool}
$tool \
	%{_infodir}/%{MyName}.info \
	%{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  %{find_tool}
  $tool \
	--delete \
	%{_infodir}/%{MyName}.info \
	%{_infodir}/dir || :
fi

%files
%defattr(-,root,root)
%{_bindir}/*%{AppSuffix}
%{_datadir}/%{MyName}*
%{_infodir}/*%{AppSuffix}*

%changelog
# each patch should add its ChangeLog entries here

* Sat Apr 30 2011 Thomas E. Dickey
- initial version
